/** 审批管理更新相关api */
import request from "./request"
const baseUrl = '/czrm'

/** 1. 审批管理列表 */
/**
 * 
 * @param {number} pageNum 页码
 * @param {number} pageSize 最小15
 * @param {string} approvalType 待我审批processing、我已审批processed、我发起的initiator、抄送我的ccopied
 * @param {string} approvalStatus 审批状态: rejected,processing,processed
 * @param {string} searchKeyword
 * @param {number} corpId 1
 * @param {string} corpBizCategory "resource_confirm"
 * @returns 
 */
export function getApproveList(params) {
  return request('post', baseUrl + '/api/approve/list', params)
}

/** 2. 查询审批详情*/
export function getApproveDetail(params) {
  return request('get', baseUrl + `/api/approve/${params}`)
}

/** 3. 添加审批评论 */
export function addApproveComment(params) {
  return request('post', baseUrl + `/api/approve/comments?approvalNo=${params.approvalNo}`, params.data)
}

/** 4. 同意审批 */
export function agreeApprove(params) {
  return request('post', baseUrl + `/api/approve/approve?nodeRuId=${params.nodeRuId}`, params.data)
}

/** 5. 拒绝审批 */
export function rejectApprove(params) {
  return request('post', baseUrl + `/api/approve/reject?nodeRuId=${params.nodeRuId}`, params.data)
}