import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "@/index/utils/lazy/antd";
import "@/index/assets/less/base.less";
import "@/index/assets/less/global.less";
import VeLiquidfill from 'v-charts/lib/liquidfill.common'
import Storage from 'vue-ls'

import constants from "@/index/utils/constants";
import * as api from "@/index/api";

import CardLayout from "@/index/components/layouts/CardLayout";
import LargeNumber from "@/index/components/LargeNumber";

// 常量和方法
Vue.prototype.$c = constants;
Vue.prototype.$api = api;

Vue.component("CardLayout", CardLayout);
Vue.component("LargeNumber", LargeNumber);
Vue.component(VeLiquidfill.name, VeLiquidfill);

Vue.use(Storage, {namespace: 'pro__',name: 'ls',storage: 'local'})

Vue.config.productionTip = false;

//TODO有时候devtools不显示，开发阶段加上这条语句，生产移除
// Vue.config.devtools =true;

Vue.filter('nullFormat', function (value) {
  if ([null, undefined, ''].includes(value)) {
    return 0;
  } else {
    return value;
  }
})

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
