export const mockRoutesResource = [
  {
    path: "/home",
    component: "layouts/BlankLayout",
    redirect: "/home/profile",
    meta: {
      icon: "table",
      title: "资源概览",
      type: "menuItem",
    },
    children: [
      // {
      //   path: "",
      //   component: "resourcesOverview/Home",
      //   name: "home",
      //   meta: {
      //     isHiddenInBreadcrumbs: true,
      //   },
      // },
      {
        path: "/home/profile",
        component: "layouts/BlankLayout",
        meta: {
          title: "企业和团队概况",
        },
        children:[
          {
            path: "",
            component: "resourcesOverview/Profile",
            name: "resources-overview-profile",
            meta: {
              isHiddenInBreadcrumbs: true,
            },
          },
          {
            path: "/home/profile/teamDetail/:teamId",
            component: "resourcesOverview/TeamDetail",
            name: "resources-overview-team-detail",
            meta: {
              title: "团队详情",
            },
          },
        ]
      },
    ],
  },
  {
    path: "/demandOverview",
    component: "DemandOverview",
    name: "demand-overview",
    meta: {
      icon: "table",
      title: "需求概览",
      type: "menuItem",
    },
  },
  {
    path: "/resourceManagement",
    component: "layouts/BlankLayout",
    name: "resource-management",
    redirect: "/resourceManagement/demandConfirm",
    meta: {
      icon: "table",
      title: "资源管理",
      type: "subMenu",
    },
    children: [
      {
        path: "/resourceManagement/demandConfirm",
        component: "layouts/BlankLayout",
        // name: "resourceManagement-demandConfirm",
        meta: {
          title: "需求资源确认",
          type: "menuItem",
        },
        children: [
          {
            path: "",
            component: "resourceManagement/demandConfirm/List",
            name: "resourceManagement-demandConfirm-list",
            meta: {
              isHiddenInBreadcrumbs: true,
            },
          },
          {
            path: "/resourceManagement/demandConfirm/detail",
            component: "resourceManagement/demandConfirm/Detail",
            name: "resourceManagement-demandConfirm-detail",
            meta: {
              title: "需求资源详情",
            },
          },
          {
            path: "/resourceManagement/submitResult",
            component: "resourceManagement/demandConfirm/SubmitResult",
            name: "resourceManagement-demandConfirm-result",
            meta: {
              title: "提交结果",
            },
          },
        ],
      },
      {
        path: "/resourceManagement/demandConfirmRecord",
        component: "layouts/BlankLayout",
        meta: {
          title: "需求资源确认记录",
          type: "menuItem",
        },
        children: [
          {
            path: "",
            component: "resourceManagement/demandConfirmRecord/List",
            name: "resourceManagement-demandConfirmRecord-list",
            meta: {
              isHiddenInBreadcrumbs: true,
            },
          },
          {
            path: "/resourceManagement/demandConfirmRecord/:id",
            component: "resourceManagement/demandConfirmRecord/Detail",
            name: "resourceManagement-demandConfirmRecord-detail",
            meta: {
              title: "需求资源确认详情",
            },
          },
        ],
      },
      {
        path: "/resourceManagement/teamResourceUpdate",
        component: "layouts/BlankLayout",
        meta: {
          title: "团队资源更新",
          type: "menuItem",
        },
        children: [
          {
            path: "",
            component: "resourceManagement/teamResourceUpdate/List",
            name: "resourceManagement-teamResourceUpdate-list",
            meta: {
              isHiddenInBreadcrumbs: true,
            },
          },
          {
            path: "/resourceManagement/teamResourceUpdate/:id",
            component: "resourceManagement/teamResourceUpdate/Detail",
            name: "resourceManagement-teamResourceUpdate-detail",
            meta: {
              title: "团队资源更新详情",
            },
          },
        ],
      },
    ],
  },
  {
    path: "/approveManagement",
    component: "layouts/BlankLayout",
    meta: {
      icon: "table",
      title: "审批管理",
      type: "menuItem",
    },
    children: [
      {
        path: "",
        component: "approveManagement/List",
        name: "approve-management",
        meta: {
          isHiddenInBreadcrumbs: true,
        },
      },
      {
        path: "/approveManagement/DemandConfirmDetail/:id",
        component: "resourceManagement/demandConfirmRecord/Detail",
        name: "approve-management-demandConfirmDetail",
        meta: {
          title: "填报详情",
        },
      }
    ],
  },
];
