export function generateIndexRouter(data) {
  let indexRouter = [
    {
      path: "/",
      component: () => import("@/index/components/layouts/GlobalLayout.vue"),
      redirect: "/home",
      children: generateChildRouters(data),
    },
    {
      path: "*",
      redirect: "/404",
    },
  ];
  return indexRouter;
}

// 生成嵌套路由（子路由）
function generateChildRouters(data) {
  const routers = [];
  for (const item of data) {
    if(!item.component){
      continue;
    }
    let componentPath = "";
    if (item.component.indexOf("layouts") >= 0) {
      //布局组件
      componentPath = "components/" + item.component;
    } else {
      //页面级组件
      componentPath = "views/" + item.component;
    }
    let route = {
      path: item.path,
      name: item.name,
      redirect: item.redirect,
      // component: () => import("@/index/" + componentPath + ".vue"),
      // component: (resolve) => require(["@/index/" + componentPath + ".vue"], resolve),
      component: () => import(`@/index/${componentPath}.vue`),
      meta: { ...item.meta },
    };

    if (item.children?.length > 0) {
      route.children = generateChildRouters(item.children);
    }
    routers.push(route);
  }
  return routers;
}
