import Vue from "vue";
import Vuex from "vuex";

import user from "./modules/user";
import resourceManagement from "./modules/resourceManagement";
import systemSettings from './modules/systemSettings'
import teamResource from './modules/teamResource'
import approveManagement from './modules/approveManagement'
Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    loadingCount: 0,
  },
  mutations: {
    // 增加 loading 数量
    addLoadingCount(state) {
      state.loadingCount++;
    },

    // 减少 loading 数量
    reduceLoadingCount(state, { hasError = false }) {
      if (hasError) {
        state.loadingCount = 0;
      } else {
        state.loadingCount--;
      }
    },
  },
  actions: {
  },
  modules: {
    user: { namespaced: true, ...user },
    systemSettings: {
      namespaced: true,
      ...systemSettings,
    },
    teamResource: {
      namespaced: true,
      ...teamResource
    },
    resourceManagement:  { 
      namespaced: true,
      ...resourceManagement
    },
    approveManagement: {
      namespaced: true,
      ...approveManagement
    }
  },
});
