import { getApproveList, getApproveDetail } from '@/index/api'
import Vue from 'vue'
let approveManagement = {
  state: {
    approveList: [], // 审批管理列表
    pageNum: 1, // 当前页码
    pages: 0, // 总页数
    approveDetail:null, // 审批详情
  },

  getters: {},

  mutations: {
    // 1. 存储审批列表
    saveApproveList(state, value) {
      state.approveList = value.approvalList
      state.pages = value.pages
      state.pageNum = value.pageNum
    },
    // 1.1 清空审批列表
    clearApproveList(state){
      Vue.set(state, 'approveList', [])
      state.pages = 0
      state.pageNum = 1
    },
    // 2. 存储审批详情
    saveApproveDetail(state, value){
      state.approveDetail = value
    }
  },

  actions: {
    // 1. 获取审批列表
    async getApproveList({ commit }, params) {
      let { data } = await getApproveList(params)
      commit('saveApproveList', data)
    },
    // 2. 获取审批详情
    async getApproveDetail({ commit }, params) {
      let {data} = await getApproveDetail(params)
      commit('saveApproveDetail', data)
    }
  },
}

export default approveManagement
