import moment from "moment";

export function quarter2Timestamp(quarterStr) {
  let quarterStartTime, quarterEndTime;
  if (quarterStr) {
    const [_whole, yearStr, quarterString] = quarterStr.match(/(\d{4})年S(\d)/);
    const date = moment(yearStr, "YYYY").quarter(quarterString * 1);
    quarterStartTime = date.startOf("quarter").valueOf();
    quarterEndTime = date.endOf("quarter").valueOf();
  } 
  return { quarterStartTime, quarterEndTime };
}

export function timestamp2Quarter( timestamp = Date.now() ) {
  const quarter = moment(parseInt(timestamp)).quarter();
  const year = moment(parseInt(timestamp)).year();
  return `${year}年S${quarter}`;
}
