/**
 * 团队资源更新提交前校验
 * 1. 月份里的数据不能有空
 * @param {aray} data 列表放各个月份数据
 * @return {object} 校验结果
 */
export function updateCheck (data){
  let res = {
    result: 'success',
    row:[],
    msg: '校验通过'
  }
  // 1. 不能为空
  if(data.length===0){
    res.result = 'error'
    res.msg = '请完整填写各月份资源再提交'
  }
  if(res.result === 'error'){
    return res
  }
  // 2. 每行里不能出现值为null
  let objKeys = Object.keys(data[0])
  data.forEach(item=> {
    let count = 0
    objKeys.forEach(key=> {
      if(item[key] === null){
        count += 1
      }
    })
    if(count > 0 ){
      res.result = 'error'
      res.row.push(item.month)
      res.msg = `请完整填写各月份资源再保存(${res.row.toString()})`
    }
  })
  if(res.result === 'error'){
    return res
  }
  
  // 都通过， 返回默认res
  return res
}