import store from '@/index/store'
/**
 * 1. 对批量新增项目映射规则进行校验
 * 2. 不能为空
 * 3. 名字不能和已映射的相同
 * 4. 名称在列表里不能有相同
 * 5. id不能和已有的相同（下拉框已作限制）
 * 6. id在列表里不能有相同（下拉框已作限制）
 * @param {array} data 
 * @return {object}
 */
export function addProjectRulesCheck (data){
  let template = store.state.systemSettings.projectRules
  let res = {
    result: 'success',
    row:[],
    msg: '校验通过'
  }
  // 2. 不能为空
  data.forEach((item, index) => {
    if(item.projectName === '' || item.tapdProjectId === null){
      res.result = 'error'
      res.row.push(index+1)
      res.msg = `请完整填写内容再保存(第${res.row.toString()}行)`
    }
  })
  if(res.row.length > 0){
    return res
  }

  // 列表里名称不能重复
  let dataTemp = data.map(item => {
    return item.projectName
  })
  for(let i = 0; i < dataTemp.length; i++){
    if(dataTemp.indexOf(dataTemp[i]) !== dataTemp.lastIndexOf(dataTemp[i])){
      res.result = 'error'
      res.row.push(i+1)
      res.msg = `系统项目名称重复(第${res.row.toString()}行)`
    }
  }
  if(res.row.length > 0){
    return res
  }

  // 名字不能和已映射的相同
  data.forEach((item,index)=> {
    let haveFind = template.find(item2 => {
      return item2.projectName === item.projectName
    })
    if(haveFind){
      res.result = 'error'
      res.row.push(index+1)
      res.msg = `系统项目名称已被占用(第${res.row.toString()}行)`
    }
  })

  // 都通过， 返回默认res
  return res
}