import store from '@/index/store'
/**
 * 1. 对编辑项目映射规则进行校验
 * 2. 不能为空
 * 3. 名字不能和已映射的相同(可以和自己相同)
 * @param {object} data 
 * @return {object}
 */
export function editProjectRuleCheck (data){
  let template = store.state.systemSettings.projectRules
  let res = {
    result: 'success',
    msg: '校验通过'
  }
  // 2. 不能为空
  if(data.projectName === ''){
    res.result = 'error'
    res.msg = '系统项目名称不能为空'
  }
  if(res.result == 'error'){
    return res
  }

  // 名字不能和已映射的相同
  let haveFind = template.find(item => {
    return item.projectName === data.projectName
  })
  if(haveFind && haveFind.id!==data.id){
    res.result = 'error'
    res.msg = '系统项目名称已被占用'
  }

  // 都通过， 返回默认res
  return res
}